IF NOT EXISTS (SELECT 1 FROM [_tablas] WHERE [tabla] = 'syn_tipoAutenticacion')
BEGIN
	INSERT INTO [dbo].[_tablas]
			   ([tabla]
			   ,[esMultiempresa]
			   ,[duplicar]
			   ,[eliminarIntermedias])
		 VALUES
			   ('syn_tipoAutenticacion'
			   ,0
			   ,0
			   ,0)
END
GO

if not exists (select 1 from _columnas where tabla = 'syn_tipoAutenticacion' and columna = 'id')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('syn_tipoAutenticacion'
           ,'id'
           ,1
           ,1
           ,1
           ,'int'
           ,NULL
           ,NULL
		   ,0
		   ,0
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'syn_tipoAutenticacion' and columna = 'uid')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('syn_tipoAutenticacion'
           ,'uid'
           ,1
           ,1
           ,1
           ,'varchar'
           ,NULL
           ,500
		   ,0
		   ,0
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'syn_tipoAutenticacion' and columna = 'eid')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('syn_tipoAutenticacion'
           ,'eid'
           ,1
           ,1
           ,1
           ,'varchar'
           ,NULL
           ,50
		   ,0
		   ,0
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'syn_tipoAutenticacion' and columna = 'id_usuario_modifico')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('syn_tipoAutenticacion'
           ,'id_usuario_modifico'
           ,1
           ,1
           ,1
           ,'int'
           ,'((0))'
           ,NULL
		   ,0
		   ,0
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'syn_tipoAutenticacion' and columna = 'id_usuario_creo')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('syn_tipoAutenticacion'
           ,'id_usuario_creo'
           ,1
           ,1
           ,1
           ,'int'
           ,'((0))'
           ,NULL
		   ,0
		   ,0
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'syn_tipoAutenticacion' and columna = 'fechaModificacion')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('syn_tipoAutenticacion'
           ,'fechaModificacion'
           ,0
           ,0
           ,1
           ,'smalldatetime'
           ,'(getdate())'
           ,NULL
		   ,0
		   ,0
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'syn_tipoAutenticacion' and columna = 'fechaCreacion')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('syn_tipoAutenticacion'
           ,'fechaCreacion'
           ,0
           ,0
           ,1
           ,'smalldatetime'
           ,'(getdate())'
           ,NULL
		   ,0
		   ,0
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'syn_tipoAutenticacion' and columna = 'active')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('syn_tipoAutenticacion'
           ,'active'
           ,1
           ,1
           ,1
           ,'bit'
           ,'((1))'
           ,NULL
		   ,0
		   ,0
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'syn_tipoAutenticacion' and columna = 'tipoAutenticacion')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('syn_tipoAutenticacion'
           ,'tipoAutenticacion'
           ,1
           ,1
           ,1
           ,'varchar'
           ,'('''')'
           ,200
		   ,0
		   ,1
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'syn_tipoAutenticacion' and columna = 'tipoAutenticacion_codigo')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('syn_tipoAutenticacion'
           ,'tipoAutenticacion_codigo'
           ,1
           ,1
           ,1
           ,'varchar'
           ,'('''')'
           ,200
		   ,0
		   ,1
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'syn_sistemaIntegrar' and columna = 'token')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('syn_sistemaIntegrar'
           ,'token'
           ,1
           ,1
           ,1
           ,'varchar'
           ,'('''')'
           ,8000
		   ,0
		   ,1
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'syn_sistemaIntegrar' and columna = 'id_tipoAutenticacion')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('syn_sistemaIntegrar'
           ,'id_tipoAutenticacion'
           ,1
           ,1
           ,1
           ,'int'
           ,'((0))'
           ,NULL
		   ,0
		   ,0
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'syn_sistemaIntegrar' and columna = 'urlAutenticar')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('syn_sistemaIntegrar'
           ,'urlAutenticar'
           ,1
           ,1
           ,1
           ,'varchar'
           ,'('''')'
           ,8000
		   ,0
		   ,1
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'syn_sistemaIntegrar' and columna = 'metodoAutenticar')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('syn_sistemaIntegrar'
           ,'metodoAutenticar'
           ,1
           ,1
           ,1
           ,'varchar'
           ,'('''')'
           ,100
		   ,0
		   ,1
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'syn_sistemaIntegrar' and columna = 'estructuraResponseAutenticar')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('syn_sistemaIntegrar'
           ,'estructuraResponseAutenticar'
           ,1
           ,1
           ,1
           ,'varchar'
           ,'('''')'
           ,8000
		   ,0
		   ,1
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'syn_puntoIntegracion' and columna = 'metodo')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('syn_puntoIntegracion'
           ,'metodo'
           ,1
           ,1
           ,1
           ,'varchar'
           ,'('''')'
           ,100
		   ,0
		   ,1
		   ,NULL)
end